This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 439675 - qct-mercurial missing dependency on qct
qct-mercurial missing dependency on qct
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: qct (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 05:51 EDT by Scott Tsai
Modified: 2009-04-01 19:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 19:52:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2008-03-30 05:51:40 EDT
Description of problem:
qct-mercurial missing dependency on qct

Version-Release number of selected component (if applicable):
qct-mercurial-1.5-6.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. yum -y install qct-mercurial
2. cd MY_HG_REPOSITORY
3. hg qct
  
Actual results:
sh: qct: command not found



Expected results:
qct commit dialog.

Additional info:
Comment 1 Bug Zapper 2008-05-14 04:26:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Mads Kiilerich 2009-03-31 08:48:58 EDT
Confirmed with qct-mercurial-1.7-2.fc11.i586

Fix:

--- qct.spec.org	2009-03-31 14:44:49.000000000 +0200
+++ qct.spec	2009-03-31 14:47:46.000000000 +0200
@@ -46,6 +46,7 @@
 Summary:	Mercurial plugin for qct
 Group:		Development/Tools
 Requires:	mercurial >= 0.9.5-3
+Requires:	%{name} = %{version}-%{release}
 
 %description	mercurial
 Installs qct.rc plugin for mercurial

Note You need to log in before you can comment on or make changes to this bug.